[python] environement virtuel qui crash

<pexpect.popen_spawn.PopenSpawn object at 0x7fcabbe41e80>

a marqué ce sujet comme résolu.
Auteur du sujet

Salut, j’essaie de créer un environnement virtuel pour ce jeu sympa: http://perpetualpyramid.com/drupal/?q=subterrex_0.3

pipenv —python 2.7 install pygame pymunk scipy

malheureusement j' obtiens cette erreur:

✔ Successfully created virtual environment! 
Virtualenv location: /home/buffalo/.local/share/virtualenvs/ex_subt-8VtbWd15
Creating a Pipfile for this project…
Installing pygame…
Adding pygame to Pipfile's [packages]…
✔ Installation Succeeded 
Installing pymunk…
Adding pymunk to Pipfile's [packages]…
✔ Installation Succeeded 
Installing scipy…
Adding scipy to Pipfile's [packages]…
✔ Installation Succeeded 
Pipfile.lock not found, creating…
Locking [dev-packages] dependencies…
Locking [packages] dependencies…
Traceback (most recent call last):
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/pexpect/expect.py", line 109, in expect_loop
    return self.timeout()
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/pexpect/expect.py", line 82, in timeout
    raise TIMEOUT(msg)
pexpect.exceptions.TIMEOUT: <pexpect.popen_spawn.PopenSpawn object at 0x7fcabbe41e80>
searcher: searcher_re:
    0: re.compile('\n')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/buffalo/.local/bin/pipenv", line 10, in <module>
    sys.exit(cli())
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 764, in __call__
    return self.main(*args, **kwargs)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 717, in main
    rv = self.invoke(ctx)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 1137, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 956, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/decorators.py", line 64, in new_func
    return ctx.invoke(f, obj, *args, **kwargs)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/cli/command.py", line 254, in install
    editable_packages=state.installstate.editables,
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/core.py", line 1992, in do_install
    skip_lock=skip_lock,
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/core.py", line 1244, in do_init
    pypi_mirror=pypi_mirror,
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/core.py", line 1068, in do_lock
    lockfile=lockfile
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/utils.py", line 649, in venv_resolve_deps
    c = resolve(cmd, sp)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/utils.py", line 517, in resolve
    result = c.expect(u"\n", timeout=environments.PIPENV_INSTALL_TIMEOUT)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/delegator.py", line 215, in expect
    self.subprocess.expect(pattern=pattern, timeout=timeout)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/pexpect/spawnbase.py", line 341, in expect
    timeout, searchwindowsize, async_)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/pexpect/spawnbase.py", line 369, in expect_list
    return exp.expect_loop(timeout)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/pexpect/expect.py", line 119, in expect_loop
    return self.timeout(e)
  File "/home/buffalo/.local/lib/python3.6/site-packages/pipenv/vendor/pexpect/expect.py", line 82, in timeout
    raise TIMEOUT(msg)

**pexpect.exceptions.TIMEOUT: <pexpect.popen_spawn.PopenSpawn object at 0x7fcabbe41e80>
searcher: searcher_re:
    0: re.compile('\n')
<pexpect.popen_spawn.PopenSpawn object at 0x7fcabbe41e80>
searcher: searcher_re:
    0: re.compile('\n')**

une idée pour réparer ça ?

Édité par nohar

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte